Package net.rubygrapefruit.platform.internal

# Class NativeLibraryLocator

java.lang.Object
net.rubygrapefruit.platform.internal.NativeLibraryLocator

public class NativeLibraryLocator extends Object

## Constructor Summary

Constructors
Constructor
Description
`NativeLibraryLocator(File extractDir)`

## Method Summary

Modifier and Type
Method
Description
`File`
`find(LibraryDef libraryDef)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### NativeLibraryLocator

public NativeLibraryLocator(File extractDir)

## Method Details

### find

public File find(LibraryDef libraryDef) throws IOException

Throws:
  `IOException`